function [SNR] = VypocetSNR(signalEKG, rusenie)
% VypocetSNR - funkcia vypocita zo vstupneho signalu a sumu hodnotu SNR
% Syntax: [SNR] = VypocetSNR(signalEKG, rusenie)
% Vstupy:
    % signalEKG - uzitocna zlozka signalu
    % rusenie - sum v signale
% Vystupy:
    % SNR - SNR podla vstupneho uzitocneho signalu a rusenia
% Autor: Martina Babicova
    priemerSignalEKG = mean(signalEKG);
    % citatel = operacia so signalom EKG podla vzorca SNR
    citatel = 0;
    for i = 1:length(signalEKG)
        citatel = citatel + ((signalEKG(i) - priemerSignalEKG) * (signalEKG(i) - priemerSignalEKG));
    end
    % menovatel = energia sumu
    menovatel = VypocetEnergie(rusenie);
    SNR = 10 * log10(citatel / menovatel);
end